Skip to main content
`Ctrl`+`K`

# PetscFVRefine

Create a “refined” `PetscFV` object that refines the reference cell into smaller copies.

## Synopsis

    #include "petscfv.h"
    PetscErrorCode PetscFVRefine(PetscFV fv, PetscFV *fvRef)

## Input Parameter

- fv - The initial `PetscFV`

## Output Parameter

- fvRef - The refined `PetscFV`

## Notes

This is typically used to generate a preconditioner for a high order method from a lower order method on a refined mesh having the same number of dofs (but more sparsity). It is also used to create an interpolation between regularly refined meshes.

## See Also

`PetscFV`, `PetscFVType`, `PetscFVCreate()`, `PetscFVSetType()`

## Level

advanced

## Location

src/dm/dt/fv/interface/fv.c

Index of all FV routines
Table of Contents for all manual pages
Index of all manual pages